Bug 140912 - FILEOPEN PPTX: extra image and text label "insert image" appears (even in presentation mode)
Summary: FILEOPEN PPTX: extra image and text label "insert image" appears (even in pre...
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:7.4.0 target:7.2.5 target:7.3....
Keywords: filter:pptx
Depends on:
Blocks: PPTX-MasterSlide
  Show dependency treegraph
 
Reported: 2021-03-09 10:57 UTC by Gerald Pfeifer
Modified: 2021-12-29 21:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample slide (in PPTX format) (191.15 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-03-09 10:57 UTC, Gerald Pfeifer
Details
Visual comparison Office 365 vs LibreOffice 7.2 (287.04 KB, image/png)
2021-03-09 11:01 UTC, Gerald Pfeifer
Details
image placeholder behind the text in PP (139.89 KB, image/jpeg)
2021-07-01 14:38 UTC, Attila Bakos (NISZ)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2021-03-09 10:57:59 UTC
Created attachment 170366 [details]
Sample slide (in PPTX format)

How to reproduce:

 1. Open attached PPTX in LibreOffice
 2. Observe how there is a blurred image in the text "Insert Image"
    covering the right half of the slide.
 3. Enter presentation mode, and observe the same.
Comment 1 Gerald Pfeifer 2021-03-09 11:01:06 UTC
Created attachment 170367 [details]
Visual comparison Office 365 vs LibreOffice 7.2

Observed with

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: f66a479225b35e9f1fd3621eef7496462088308a
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-03-05_09:50:07
Calc: threaded

Already reproducing in

Version: 6.4.8.0.0+
Build ID: 99b065ec31d032fc08ab14f66430dac4fef904a5
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3;
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-4, Time: 2020-10-08_08:57:08
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Timur 2021-03-15 14:04:07 UTC
Repro. Insert image was never fine, OO opened just text.
Comment 3 Aron Budea 2021-04-07 01:13:00 UTC
That particular shape is a Picture Placeholder, probably that's why it has the "Insert Image" text and icon.
Comment 4 NISZ LibreOffice Team 2021-06-10 07:38:47 UTC
This comes from the master slide.

In PP it is also there, behind the "Item One, Item two" box but with normal size.
Comment 5 Gerald Pfeifer 2021-06-25 12:59:03 UTC
Attila, I'm wondering whether this might be related to bug #111903,
bug #137152, and/or bug #142537 that you addressed recently?

(Mind, I am not saying caused, and I can reproduce this issue with
LO 6.4 already, just related and maybe in your area of expertise?)
Comment 6 Attila Bakos (NISZ) 2021-07-01 14:38:11 UTC
Created attachment 173306 [details]
image placeholder behind the text in PP

Sorry for the late reply.
The file has an empty image placeholder with the text from the master slide "Insert Image", and it is covered by the textbox in PP, that is the reason for the difference. 
It might be related to my patch because empty placeholders (like this) was not exported as placeholder only as an empty shape (so it did not have the picture icon before). I think the only problem is that, why the image icon stretched, and why it is shown in presentation mode, but the reason might be that this was an image what is missing from the file, so that is why the icon shown instead. I have no more idea. :)
Comment 7 Commit Notification 2021-12-01 13:12:18 UTC
gulsahkose committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b3be7f6f3d800e2ad86f5a043e6e9b21ed4409f

tdf#140912 Better handling of the picture placeholders.

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-12-03 08:31:21 UTC
gulsahkose committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/2be6b90cfa201b894cc893c51ca8e29577e33aa1

tdf#140912 Better handling of the picture placeholders.

It will be available in 7.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-12-03 08:31:40 UTC
gulsahkose committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/0fa00d879995d498d1f04efe72f3413a3c15601b

tdf#140912 Better handling of the picture placeholders.

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Christian Lohmaier 2021-12-06 13:30:06 UTC
7.2.4 was a hotfix release, updating target in status-whiteboard
Comment 11 Gerald Pfeifer 2021-12-10 16:43:54 UTC
I'm happy to report that as the original reported I validated the fix
with the latest daily build of LibreOffice 7.4.
Comment 12 Gerald Pfeifer 2021-12-29 21:34:53 UTC
Ui, I missed 

   3. Enter presentation mode, and observe the same.

in my initial instructions on how to reproduce and Attila also gave
an indication in comment #6:

In presentation mode (as noted in the title of this bug) the issue
still appears and the placeholder is shown.
Comment 13 Gerald Pfeifer 2021-12-29 21:38:41 UTC
(In reply to Gerald Pfeifer from comment #12)
> In presentation mode (as noted in the title of this bug) the issue
> still appears and the placeholder is shown.

...if the list which hides the icon is (re)moved.